//www.elegoo.com
//2016.12.08
#include "SR04.h"
#include <LiquidCrystal.h>
#define TRIG_PIN 6
#define ECHO_PIN 5
SR04 sr04 = SR04(ECHO_PIN, TRIG_PIN);

// initialize the library with the numbers of the interface pins
const int rs = 7, en = 8, d4 = 9, d5 = 10, d6 = 11, d7 = 12;
long proximity;
String msg;
int tonePin = 4;  //Tone - Red Jumper

void setup() {
  // set up the LCD's number of columns and rows:
  Serial.begin(9600);
  delay(1000);
  pinMode(tonePin, OUTPUT);
}
// Function to print message to LCD, handling long messages
void printMessage(String message) {
  lcd.clear();  // Clear the LCD before printing new content

  lcd.print(message);

  // Check if the message is longer than 16 characters
  if (message.length() > 16) {
    // Move cursor to the start of the second line
    lcd.setCursor(0, 1);
    // Print the rest of the message on the second line
    lcd.print(message.substring(16));
  }
}

void loop() {
  proximity = sr04.Distance();
  Serial.print(proximity);
  Serial.println("cm");
  delay(1000);



  // proximity=map(distance, 0, 45, 8, 0);
  //Serial.println(proximity);

  if (proximity <= 10) {
    proximity = 0;
  } else if (proximity >= 10 && proximity <= 50) {
    tone(tonePin, 200000, 2000);
    msg = "Don't come closer!";
    msg = "Don't come any closer!";
    printMessage(msg)

  } else if (proximity >= 50 && proximity <= 100) {
    tone(tonePin, 10000, 2000);
    msg = "State your business!";
    printMessage(msg)
      delay(5000);
  } else if (proximity >= 400 && proximity <= 1000) {
    tone(tonePin, 5000, 2000);
    msg = "Hello I see you";
    lcd.print("Hello I see you");
    printMessage(msg);
    delay(5000);
  } else if (proximity >= 1000 && proximity <= 2000) {
    tone(tonePin, 1000, 2000);
    delay(5000);
  }
  // shiftOut(dataPin, clockPin, MSBFIRST, possible_patterns[proximity]);
  // digitalWrite(latchPin, HIGH);

  delay(600);
  lcd.noAutoscroll();
  noTone(tonePin);
}
